org.apache.fop.fonts

## Class FontDetectorFactory

- java.lang.Object
- - org.apache.fop.fonts.FontDetectorFactory

-     public final class FontDetectorFactory
      extends Object

  A factory that provides the font detecting machanism.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontDetector` | `createDefault()` Creates the default font detector
    `static FontDetector` | `createDisabled()` Creates a disabled font detector which, by definition, does nothing to detect fonts.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDefault

          public static FontDetector createDefault()

      Creates the default font detector
      Returns:
        the default font detector

    - #### createDisabled

          public static FontDetector createDisabled()

      Creates a disabled font detector which, by definition, does nothing to detect fonts.
      Returns:
        the completely restricted font detector

Copyright © 2023 Apache Software Foundation. All rights reserved.